Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class DelegatingStatement

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingStatement

All Implemented Interfaces:
  Statement, Wrapper, Closeable

Direct Known Subclasses:
  LoggingConnectionDecorator.LoggingConnection.LoggingStatement

    public class DelegatingStatement

extends Object
implements Statement, Closeable

Wrapper around an existing statement. Subclasses can override the methods whose behavior they mean to change. The `equals` and `hashCode` methods pass through to the base underlying data store statement.

Author:
  Abe White

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`DelegatingStatement(Statement stmnt, Connection conn)`

Method Summary
`void` | `addBatch(String str)`
`protected void` | `appendInfo(StringBuffer buf)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeOnCompletion()`
`boolean` | `equals(Object other)`
`boolean` | `execute(String str)`
`boolean` | `execute(String s, int i)`
`boolean` | `execute(String s, int[] ia)`
`boolean` | `execute(String s, String[] sa)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery(String str)`
`protected ResultSet` | `executeQuery(String sql, boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `executeUpdate(String str)`
`int` | `executeUpdate(String s, int i)`
`int` | `executeUpdate(String s, int[] ia)`
`int` | `executeUpdate(String s, String[] sa)`
`Connection` | `getConnection()`
`Statement` | `getDelegate()` Return the wrapped statement.
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`ResultSet` | `getGeneratedKeys()`
`Statement` | `getInnermostDelegate()` Return the base underlying data store statement.
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int i)`
`int` | `getQueryTimeout()`
`ResultSet` | `getResultSet()`
`protected ResultSet` | `getResultSet(boolean wrap)` Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`void` | `initialize(Statement stmnt, Connection conn)`
`boolean` | `isClosed()`
`boolean` | `isCloseOnCompletion()`
`boolean` | `isPoolable()`
`boolean` | `isWrapperFor(Class<?> iface)`
`void` | `setCursorName(String str)`
`void` | `setEscapeProcessing(boolean bool)`
`void` | `setFetchDirection(int i)`
`void` | `setFetchSize(int i)`
`void` | `setMaxFieldSize(int i)`
`void` | `setMaxRows(int i)`
`void` | `setPoolable(boolean b)`
`void` | `setQueryTimeout(int i)`
`String` | `toString()`
`
`<T> T`
` | `unwrap(Class<T> iface)`
`protected ResultSet` | `wrapResult(ResultSet rs, boolean wrap)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingStatement

    public DelegatingStatement(Statement stmnt,
                               Connection conn)

Method Detail

### initialize

    public void initialize(Statement stmnt,
                           Connection conn)

### wrapResult

    protected ResultSet wrapResult(ResultSet rs,
                                   boolean wrap)

### getDelegate

    public Statement getDelegate()

  Return the wrapped statement.

### getInnermostDelegate

    public Statement getInnermostDelegate()

  Return the base underlying data store statement.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendInfo

    protected void appendInfo(StringBuffer buf)

### executeQuery

    public ResultSet executeQuery(String str)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`
  Throws:
    `SQLException`

### executeQuery

    protected ResultSet executeQuery(String sql,
                                     boolean wrap)
                              throws SQLException

  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String str)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String str)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`
  Specified by:
    `close` in interface `Closeable`
  Throws:
    `SQLException`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### setMaxFieldSize

    public void setMaxFieldSize(int i)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### setMaxRows

    public void setMaxRows(int i)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### setEscapeProcessing

    public void setEscapeProcessing(boolean bool)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`
  Throws:
    `SQLException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### setQueryTimeout

    public void setQueryTimeout(int i)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`
  Throws:
    `SQLException`

### setCursorName

    public void setCursorName(String str)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`
  Throws:
    `SQLException`

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`
  Throws:
    `SQLException`

### getResultSet

    protected ResultSet getResultSet(boolean wrap)
                              throws SQLException

  Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Throws:
    `SQLException`

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int i)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int i)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`
  Throws:
    `SQLException`

### addBatch

    public void addBatch(String str)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`
  Throws:
    `SQLException`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`
  Throws:
    `SQLException`

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults(int i)
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  Specified by:
    `getGeneratedKeys` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             int i)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             int[] ia)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             String[] sa)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           int i)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           int[] ia)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           String[] sa)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

  Specified by:
    `getResultSetHoldability` in interface `Statement`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Statement`
  Throws:
    `SQLException`

### setPoolable

    public void setPoolable(boolean b)
                     throws SQLException

  Specified by:
    `setPoolable` in interface `Statement`
  Throws:
    `SQLException`

### isPoolable

    public boolean isPoolable()
                       throws SQLException

  Specified by:
    `isPoolable` in interface `Statement`
  Throws:
    `SQLException`

### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

  Throws:
    `SQLException`

### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.